
/* Hlavikov soubor pro c401.c - rekurzvn implementace operaci nad BVS,
obsahuje jednak nutn knihovny a extern promnn, ale rovn 
definici datovch typ, se ktermi se pracuje v jdenotlivch
funkcch. Nemodifikovat! */

/* ********************** SOUBOR S HLAVIKOU ********************** */
/* ********************** ------------------ ********************** */

/*  vytvoil: Martin Tuek
    pedmt: Algoritmy (IAL) - FIT (Fakulta Informacnich Technologi)
    hlavicka pro soubor: c401.c
    datum: z 2005
    upravil: Bohuslav Kena, listopad 2009                           */
/* ***************************************************************** */

#include<stdio.h>
#include<stdlib.h>
#include<stdarg.h>

#define TRUE 1
#define FALSE 0

extern int solved;                        /* indikace, zda byla funkce eena */

/* uzel stromu */
                                                                                                            
typedef struct tBSTNode {
	char Key;			                                                      /* kl */
	int BSTNodeCont;                                     /* uiten obsah uzlu */
	struct tBSTNode * LPtr;                                    /* lev podstrom */
	struct tBSTNode * RPtr;                                   /* prav podstrom */
} *tBSTNodePtr;	

/* prototypy funkc */

void BSTInit   (tBSTNodePtr *);
int BSTSearch  (tBSTNodePtr, char, int *);
void BSTInsert (tBSTNodePtr *, char, int);
void BSTDelete (tBSTNodePtr *, char);
void BSTDispose(tBSTNodePtr *);

/* konec c401.h */
